#include <iostream>
#include <math.h>
using namespace std;
int main()
{
	int n, q;
	cin >> n >> q;
	int pap[n], komb[q];
	for (int i = 0; i < n; i++)
	{
		cin >> pap[i];
	}
	for (int i = 0; i < q; i++)
	{
		cin >> komb[i];
	}
	for (int i = 0; i < q; i++)
	{
		int j = 0;
		for (; j < n; j++)
		{
			if (komb[i] == pap[j])
			{
				break;
			}
		}
		if (j == n || j == 0)
		{
			cout << j << endl;		
		} else
		{
			cout << abs(n / 2 + 1 - (n - j)) << endl;
		}
	}
}